About the Sony Notebook Setup Utility

The Sony Notebook Setup Utility allows you to confirm system information, specify preferences for system behavior, and change hardware settings for your VAIO Notebook Computer. You can use the Sony Notebook Setup Utility to:
Register passwords
Select the printer mode
Decide whether to use a mouse or the built-in touchpad as your pointing device
Set the parameters for the mouse
Adjust the sound volume
Change the default startup procedure
Enable or disable ports
Resolve resource conflicts
Since you can connect your Sony Notebook PC to many kinds of peripheral devices, you must ensure that no two devices use the same resources. If a resource conflict occurs while connecting a new device, the Sony Notebook Setup Utility allows you to easily disable unused ports or access and change the hardware resource assignments, ensuring a valid hardware configuration.

Using the Sony Notebook Setup Utility Window

The Sony Notebook Setup main window allows you to change your VAIO Notebook Computer's hardware configuration, and to specify your preferences for system behavior.
The command buttons at the bottom of the window allow you to save your changes, restore the default settings, or close the window.
The Basic/Advanced page allows you to specify the configuration and behavior of the Notebook Setup Utility itself. Use this page to switch the Advanced mode on or off. The Advanced mode display additional tabs, and additional options on many pages for advanced settings that only qualified system administrators should change.

When Changes Take Effect

Some of the changes that you make on the pages of the Sony Notebook Setup Utility window are dynamic; that is, they take effect immediately. Other settings do not take effect until you save them and restart the computer.


Starting and Exiting the Sony Notebook Setup Utility

Starting the Sony Notebook Setup Utility

There are several ways to open the Sony Notebook Setup Utility main window:
Use... How?
The Windows Start menu | From the Start menu, select Programs and then Sony Notebook Setup.
The Windows Taskbar | Click the icon for Sony Notebook Setup on the taskbar. You can use the Basic/Advanced page to add the icon to the taskbar.
The Windows Control Panel | Select Settings from the Start menu, then select Sony Notebook Setup from the Control Panel folder.

Note

Under Windows 2000, only administrators can launch the Sony Notebook Setup Utility.

Closing Sony Notebook Setup Utility

Use the command buttons at the bottom of the main window to close the window and to save your changes
Click... To...
Apply | Save your changes without closing the window.
OK | Save your changes and quit.
Cancel | Quit without saving your changes.
Default | Restore all settings to their initial values.


When Settings Take Effect

The following settings are dynamic; that is, they take effect immediately:
All password settings
Enabling or disabling ports (*)
Changing the Boot Sequence
Setting the Audio Volume
Setting Bass Boost (*)
Enabling and Disabling the touchpad (*)

Note

All options marked by (*) are not available on all models
You must save all other settings using the command buttons at the bottom of the main window. These settings take effect only after you restart the computer.

When you save your settings and quit the Setup Utility main window by clicking the OK button, a confirmation dialog box appears, asking whether you wish to restart the computer in order to put your new settings into operation.
Click Yes to restart the computer immediately.
If you click No, the system saves the new settings in backup memory, and applies them the next time you restart the computer.


About Resource Conflicts

The Sony Notebook computer has many built-in I/O devices and ports, including the internal modem, a speaker and audio port, an infrared port, a serial port, a parallel port that you can configure for a printer or floppy disk drive, and a CD-ROM drive.

All of the devices and ports share the hardware resources of the system. Each has an I/O address, an IRQ (hardware interrupt request) and a hardware port. Some devices also have a DMA (Direct Memory Access) assignment.

If two devices try to use the same hardware resource, a conflict occurs, and the computer cannot use either device. For example, this can occur after you connect a new device. Use the View Resources page to see the current hardware resource assignments.

There are two ways to resolve a resource conflict:
Use the Enable Ports page to disable one of the devices or ports to which the resource is assigned.
Reassign hardware resources to avoid duplication. The options for assigning hardware resources are available only in Advanced mode.


Error Messages

Write Error

This message appears when the system fails to save parameters to backup (CMOS) memory. This is a serious error that should not normally occur. If it does, you must reconfigure the CMOS field using the BIOS Setup screen. If this is unsuccessful, contact technical support.

Configuration Manager Setup Error

This message appears when the Sony Notebook Setup Utility fails to change the settings of the Configuration Manager as specified. To correct this error, restart your VAIO Notebook Computer.


The Sony Notebook Setup Utility Main Window

The Sony Notebook Setup Utility window has a number of tabs along the top. When you click a tab, the page for that tab appears in the window. The following tabs are available. Click the name of a tab for more information:
About this Computer
Printer (*)
Initial Setting
Touchpad (*)
Power On Password
Bass Boost (*)
Enable Ports (*)
Basic/Advanced

You can configure the Setup Utility to display advanced options in addition to the basic options. The following tabs appear when you click the Advanced button on the Basic/Advanced page:
Serial (*)
Infrared (*)
View Resources (*)

Note

The tabs marked by (*) are not available on all models.


Selecting Pages with Tabs

The Sony Notebook Setup main window has two rows of tabs along the top. When you click a tab, the page for that tab appears in the window, and the selected tab highlights. When you click a tab on the top row, the top and bottom rows exchange positions.

These tabs display by default:
About this Computer
Printer (*)
Initial Setting
Touchpad (*)
Power On Password
Bass Boost (*)
Enable Ports (*)
Basic/Advanced

You can display additional tabs in order to reach pages for advanced functions. Click Advanced on the Basic/Advanced page to display the following additional tabs:
Serial (*)
Infrared (*)
View Resources (*)

Note

The tabs marked by (*) are not available on all models.

To restore the original display of tabs, click Basic on the Basic/Advanced page.

When you change a setting on one of the pages you must save the changes using the Apply or OK button on the main window. In many cases the changes take effect only when you restart the computer.

When you change a setting on one of the pages, a small x character appears on the tab for that page. The x disappears when you save the changes, using the Apply or OK button on the main window. This allows you to see at a glance whether you need to save any changes, even if they are on pages other than the one you are currently using.


Command Buttons

The command buttons at the bottom of the main window allow you to save the changes you made to the hardware configuration using the different pages of the Sony Notebook Setup Utility, to restore default settings, and to close the main window.
Click... To...
OK Close the main window and save the changes you made to the hardware configuration.

When you click OK, the system saves the settings to backup memory. The new configuration does not take effect until you restart the computer. You can use Notebook Setup to require a restart whenever you close the Sony Notebook Setup window. When the system requires a restart, a dialog box appears to confirm that you wish to restart with the new settings.
 Click Yes to restart with the new settings.
Click No to close the Sony Notebook Setup window without restarting. In this case, the new settings take effect the next time you restart the computer.
Cancel | Close the window without making any changes. This discards all changes you made since the last time you clicked Apply, and the window closes.
Apply | Save the changes you made to the hardware configuration without closing the window. The system saves the settings to backup memory. The new configuration does not take effect until you restart the computer.
Default | Restore all of the settings to their default values, in all pages except for the Power On Password Settings page. The system saves the default settings when you click OK or Apply.
Help | Open the online Help for the Sony Notebook Setup Utility.


About This Computer Page

The page under the About This Computer tab displays information about your Operating System, the hardware architecture, and the docking station. If no docking station is connected, this section is grayed. Note that you can only use the game port when the docking station is connected.

This page provides reference information; you cannot set or change anything on the page.

Use the About This Computer page to verify that your system can run particular applications, or to get the information that you need to provide when you call Technical Support.


Printer Page

The page under the Printer tab allows you to configure the parallel port for a printer.

When you switch on the Advanced mode, additional features appear on this page that allow you to select the resources for the port, and the printer mode when the port is used for a printer.

Use the Printer page to perform the following tasks:

Specify the printer mode.
Specify the hardware resources for use by the Printer port. You can only do this in Advanced mode.

Note

This tab is not available on all models.


Power On Device Sequence Page

Initial Setting Page

The page under the Initial Setting tab allows you to specify the order in which the system checks devices for booting software when it starts.

The software that starts the operating system can be on a CD-ROM, a floppy disk, or the computer's internal hard disk. The system checks each device in turn to see if it contains the start-up program. If it finds a start-up program, the computer boots from that device. The initial order in which it checks the devices is the default boot sequence. It is not normally necessary to change the default boot sequence. Do not attempt to do so unless you are a qualified system administrator.

This page also allows you to adjust the volume of the system sound, and enable/disable the VAIO logo (displayed when the system starts).

Use the Initial Setting page to perform the following tasks:

Change the boot sequence; that is, the order in which the computer looks for devices from which to boot.
Adjust the volume of the system sound.
Enabling and Disabling the VAIO logo.


Touchpad Page

The page under the Touchpad tab allows you to specify the properties of the pointing device. You can connect a mouse to the PS/2 Mouse port. You can use both the built in touchpad and the mouse, or you can choose to disable the touchpad and use only the mouse as your pointing device.

Use the Touchpad page to perform the following tasks:

Enable or disable the built in touchpad as the pointing device.
Set the properties of the pointing device, such as the speed of response, or the type of mouse in use.

Note

This tab is not available on all models.


Power On Password Page

The page under the Power On Password tab allows you to register a password with which to control access to your VAIO Notebook Computer. Changes that you make on this page take effect immediately; you do not need to save the changes and restart the computer.

When you specify a password, only those users who know the password can use the computer. You can decide whether the password is required only when you power up the computer, or every time you resume operation from System Hibernation mode. Note that if you forget your password, you cannot start the computer. Use caution when registering a new password.

Use the Power On Password page to perform the following tasks:

Register a new password to control access to the computer.
Change an existing password.
Delete the existing password, disabling the security feature.
Specify when the password is required.
If no password exists, the only option available on the page is Add. Once you register a password, the other options become available.

When you restart the system in order to apply your changes, you must verify the password before you can change it or delete it.


Bass Boost Page

The page under the Bass Boost tab allows you to set the Bass Boost option on/off and experience the effect by playing back a sample sound.

Note

This tab is not available on all models.


Enable Ports Page

The page under the Enable Ports tab allows you to enable and disable any of the ports. Disabling ports that are not in use can help you to resolve resource conflicts.

All of the settings on this page are dynamic; that is, the settings take effect immediately. However, if you change the status of a port in order to resolve a resource conflict, you may wish to save the change and restart the computer.

Use the Enable Ports page to perform the following task:

Enable or disable any of the ports.

Note

This tab is not available on all models.


Basic/Advanced Page

The page under the Basic/Advanced tab allows you to configure the Sony Notebook Setup Utility itself.

Use this page to turn on the Advanced mode. In Advanced mode, additional tabs appear, and many of the pages display additional options for advanced settings that only qualified system administrators should change.

Use the Basic/Advanced page to perform the following tasks:

Switch Advanced mode on or off to access advanced functions or restore the basic configuration.
Add the Sony Notebook Setup Utility to the Windows taskbar, for more convenient access.


Serial Page

The page under the Serial tab allows you to set the hardware resources for the serial port. You may need to do this if there is a resource conflict; however, note that you can often resolve a conflict more easily by disabling unused ports.

This tab only appears in Advanced mode.

Use the Serial page to perform the following task:

Assign hardware resources for the serial port.

Note

This tab is not available on all models.


Infrared Page

The page under the Infrared tab allows you to assign its hardware resources. You may need to do this if there is a resource conflict; however, note that you can often resolve a conflict more easily by disabling unused ports.

This tab only appears in Advanced mode.

Use the Infrared page to perform the following task:

Assign hardware resources for the infrared port.

Note

This tab is not available on all models.


View Resources Page

The page under the View Resources tab allows you to view the current hardware resource assignments in order to determine the source of a resource conflict so that you can determine the action needed to resolve it. You can select a specific type of hardware resource and display the current assignment of resources of that type.

This tab only appears in Advanced mode.

Use the View Resources page to perform the following task:

View hardware resource assignments.

Notes

To confirm all hardware resource settings you can use the Windows Device Manager.
This tab is not available on all models.


Adding Sony Notebook Setup Utility to the Taskbar

You can add the Sony Notebook Setup icon to the Windows taskbar for easy access to the Notebook Setup dialog box.

To add the icon to the taskbar:

  1. Click the Basic/Advanced tab.
  2. On the Basic/Advanced page, click the option Place Sony Notebook Setup icon on the taskbar. A check mark indicates that the option is selected.
  3. Click Apply or OK to save the new setting. The icon appears on the taskbar the next time you restart the computer.
You can double-click the icon on the taskbar to start Notebook Setup, or you can right-click the icon on the taskbar and select Open Sony Notebook Setup from the resulting menu.

To remove the icon from the taskbar, right-click the icon on the taskbar and select Close Sony Notebook Setup from the resulting menu. You cannot remove the icon while the application window is active.


Advanced Mode for the Setup Utility

Use the Basic/Advanced page to turn on the Advanced mode for the Sony Notebook Setup Utility. In Advanced mode, additional tabs appear, and many of the pages display additional options for advanced settings that only a qualified system administrator should change.
To switch on Advanced mode, click the Advanced button.
To switch off Advanced mode and return to the default displays, click the Basic button.
Note that if any of the resource assignments are different from the default values, the Sony Notebook Setup Utility automatically comes up in Advanced mode.

In Advanced mode, the following pages are accessible:

Serial (*)
Infrared (*)
View Resources (*)
Also, options are enabled to allow you to set hardware resources on the following page:
Printer (*)

Note

The pages marked by (*) are not available on all models.


Controlling the Sony Notebook Setup Utility with Jog Dial

On the VAIO Notebook Computers equipped with a Jog Dial, you can also control the Sony Notebook Setup Utility by spinning the Jog Dial. Jog Dial makes it more convenient for you to access and modify the Sony Notebook Setup options.

Jog Dial Window

When you start the Sony Notebook Setup Utility, all the tabs and command buttons from the Sony Notebook Setup window display in the Jog Dial Window.

Using Jog Dial

When you select a tab by spinning the Jog Dial, the corresponding page displays in the Sony Notebook Setup window. You can modify all the options within that page using the Jog Dial: when you push it, each option from the page displays in the Jog Dial Window.

Using the Shift key, you can also display in the Jog Dial window the commands corresponding to the buttons at the bottom of the Sony Notebook Setup window. When you select one of this commands by pushing the Shift key, and then you push Jog Dial, it is equivalent to clicking the corresponding button in the Sony Notebook Setup window.


Saving and Applying Changes to the Configuration

Some of the changes that you make in the Setup Utility dialog box are dynamic, and take effect immediately. While others take effect after you save them and restart the computer. The Apply and OK buttons at the bottom of the main window allow you to save the changes you make to the hardware configuration using the different pages.
Click... To...
Apply Save your changes to the hardware configuration without closing the Sony Notebook Setup main window. The system saves the settings to backup memory. The new configuration does not take effect until you restart the computer.
Apply Close the window and save your changes to the hardware configuration.
When you click OK, the system saves the settings to backup memory. The new configuration does not take effect until you restart the computer. Whenever you close the main window, a dialog box appears to confirm that you wish to restart with the new settings.
Click Yes to restart with the new settings.
Click No to close the window without restarting. In this case, the new settings take effect the next time you restart the computer.


Setting the Printer Mode

You can use the Printer page to set the printer mode.

Select one of the following printer modes:
Normal (Output only)
Bi-directional
ECP
In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

When you switch on Advanced mode, additional features appear on this page that allow you to select the hardware resources for the parallel port.

Note

This option is not available on all models.


Enabling and Disabling the Touchpad

Use the Touchpad page to enable or disable the built-in touchpad as pointing device.
The page displays two buttons:
Select Enable Touchpad to activate the touchpad as pointing device. When it is active, you can use the touchpad to move the pointer on the screen.
Select Disable Touchpad to deactivate the touchpad as pointing device. When it is inactive, the touchpad has no effect on the pointer position.
Note that this setting controls the touchpad even when you connect a mouse to the PS/2 Mouse port. It is possible to use both a mouse and the touchpad as pointing devices.

This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

You can also use the Touchpad page to set the properties of the pointing device, such as its response speed.

Note

This option is not available on all models.


Setting the Properties of the Pointing Device

Use the Touchpad page to set the properties of the pointing device (either the touchpad, a mouse connected to the PS/2 Mouse port, or both).

Click the Touchpad Settings button on the Touchpad page to display the Mouse Properties dialog box. This is the same dialog box that appears when you select Mouse from the Windows Control Panel. You can use it to set the speed of response, configure the buttons for right- or left-handed use, or specify the type of mouse you are using.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the Mouse Properties dialog box and the main window.

Note

This option is not available on all models.


Setting the Communication Protocol for the Infrared Port

Communication Protocol for the Infrared Port

The Sony Notebook supports the following IrDA communication protocols for the infrared port:
SIR-A
SIR-B
4PPM
HDLC
IrDA FIR
This is the default mode. In this mode, all of the IrDA standard protocols are available. The system automatically selects the protocol appropriate to the connected hardware.
The options for setting hardware resources are only available in Advanced mode.


Enabling and Disabling Ports

A list of all ports available appears on the screen. Each port has a check box; a check mark indicates that the port is enabled. Click the box by a port to switch the check mark on or off, enabling or disabling the port.
Serial port (*)
Printer port (*)
IR port (infrared port) (*)
i.LINK port (*)
Ethernet port(*)
When you disable a port, the hardware resources used by that port are available to use elsewhere. When a port is disabled, any device you connect to that port does not function.

All of the settings on this page are normally dynamic; that is, the settings take effect immediately. Depending on the Windows system status, you may need to restart the computer. In this case, a confirmation dialog box appears. However, if you change the status of a port in order to resolve a resource conflict, you may wish to save the change and restart the computer even if it is not required. To do this, use the command buttons at the bottom of the main window.

Notes

This option is not available on all models.
The ports marked by (*) are not available on all models.


Setting the Audio Volume

The built-in speaker has 9 volume levels. You can set the volume level using the Fn+F4 key, or using the Initial Setting page.

The Audio page displays a slider for controlling the sound volume. Use the mouse or touchpad to drag the indicator on the slider to a higher or lower volume. This has the same effect as setting the volume using the Fn+F4 key.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.


Enabling and Disabling the VAIO logo

On the page under the Initial Setting tab, you can enable or disable the VAIO logo (displayed when the system starts).

A check mark indicates that the VAIO logo is enabled. Click the Show VAIO logo check box to switch the check mark on or off, enabling or disabling the VAIO logo.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.


Setting Bass Boost

Setting the Bass Boost

You can modify the setting of the Bass Boost feature in order to increase the bass sound in the headphone. You can turn on/off this option by pressing the Fn+B key or using the Bass Boost page.

Select alternatively the ON or OFF check box to turn on/off this option. A check mark in the corresponding box indicates if the feature is activated or not.

You can listen to the sample sounds displayed on the list. Select a sample sound and click the Play button.

The Bass Boost option can be turned on/off while the sound is being played. As this setting is dynamic; there is no need to restart your computer for the setting to take effect.

Note

This option is not available on all models.


Changing the Boot Sequence

Use the Initial Setting page to change the order in which the computer looks for devices from which to boot.

The possible boot devices are the CD-ROM drive, the floppy disk drive, and the internal hard drive. An icon representing each of these devices displays on the Power on Device Sequence page. The order of the icons on the page reflects the order in which the computer checks the devices for boot software when it starts; the topmost icon represents the first device it checks.

To change the order in which the computer checks devices at startup, use the touchpad to drag the icons into the desired positions on the screen. For example, if you want the system to check the internal hard disk drive before the diskette drive, click the hard drive icon to select it, then hold down the button while you move the icon to the second position. When the hard drive icon is in the second position, release the button.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

Use extreme caution in altering the default boot sequence. Note that, in a case where the computer fails to boot because of a hard disk problem, you must boot from a recovery CD to re-install the system software. If you change the start-up sequence so that the computer checks the hard disk before the CD-ROM drive, the computer will not find the boot software on the CD-ROM drive, and you will not be able to recover from the error.


The Default Startup Sequence

The startup sequence, or boot sequence, is the order in which the system checks devices for bootable software.
By default, the startup sequence is:
  1. CD-ROM Drive
  2. Diskette Drives
  3. Hard Disk Drive
When you turn the computer on, the system completes the following steps to boot the system software:
  1. If the CD-ROM drive is connected and a bootable CD-ROM is in the drive, the system boots from the CD-ROM.
  2. If the CD-ROM drive is not connected or does not contain a bootable CD-ROM, the system checks the diskette drive.
  3. If the diskette drive is connected and a bootable diskette is in the drive, the system boots from the diskette.
  4. If the diskette drive is connected but contains a non-bootable diskette, the system displays a dialog box with the following message, and ends the startup procedure:
    Non-system disk or disk error
    Replace and strike any key when ready
  5. If the diskette drive is not connected or does not contain a diskette, the system checks the internal hard disk drive.
  6. If the internal hard disk drive contains bootable software, the system boots from the hard disk.
  7. If the system cannot read any bootable software from the hard disk drive, the boot fails.
It is possible to change the sequence, using the Initial Setting page.

Use extreme caution in altering the default boot sequence. Note that, in a case where the computer fails to boot because of a hard disk problem, you must boot from a recovery CD to re-install the system software. If you change the start-up sequence so that the computer checks the hard disk before the CD-ROM drive, the computer will not find the boot software on the CD-ROM drive, and you will not be able to recover from the error.


Registering a New Password

Use the Power On Password page to specify a password for secure access to the computer. By registering a password, you automatically enable the password security feature.

To register a password for the first time, or to create a new password after deletling an existing password:
  1. Click the Add button.
  2. In the confirmation dialog box, click Yes to register the new password, or No to cancel the registration.
  3. In the Password Input dialog box, enter the new password.
    A password can have up to seven alphanumeric characters. It is case sensitive; the computer treats upper-case and lower-case letters as different characters. The password cannot include special characters or spaces. Special characters that you cannot use include the following symbols:
    : ! @ # $ % ^ & * ( ) _ + | { } : ? < > ? - = \ [ ] ; ? , . /
    Note that, to protect the security of your password, the characters do not appear on the screen as you type them.
  4. Click OK after you enter the password, or Cancel to cancel the registration.
  5. When you click OK, another Password Input dialog box appears. Enter the new password again to verify that you did not make a typing error.
  6. Click OK to register the new password, or Cancel to cancel the registration.
  7. Click Apply to register the new password.
This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

After you register a password, you can use this page to:
Change the existing password
Delete the existing password
Specify when the password is required
Verify the existing password after restart


Verifying the Password

If you restart the system in order to apply your changes, you must verify the password before you can change it or delete it. To do this, use the Password Input dialog box, which appears when you click Enter Password on the Power On Password page.

When the system restarts:
  1. Select the Power On Password page. After a restart, the Enter Password button is active, and all the other buttons are inactive.
  2. Click Enter Password. The Password Input dialog box appears.
  3. Enter the password in the Password Input dialog box.
    Note that, to protect the security of your password, the characters do not appear on the screen as you type them.
  4. Click Yes.
The password modification buttons become active, and the Enter Password button becomes inactive.


Changing an Existing Password

Use the Power On Password page to modify the existing password. If no password exists, the options for modifying the password are unavailable; you must add a new password instead.

To change an existing password:
  1. Click Change.
    This button is only available when there is a current password. After a restart, the button becomes available after you verify the existing password.
  2. In the Password Input dialog box, enter the new password.
    A password can have up to seven characters. It is case sensitive; the computer treats upper-case and lower-case letters as different characters. The password can include any alphanumeric characters, but cannot include special characters or spaces. Special characters that you cannot use include the following symbols:
    : ! @ # $ % ^ & * ( ) _ + | { } : ? < > ? - = \ [ ] ; ? , . /
    Note that, to protect the security of your password, the characters do not appear on the screen as you type them.
  3. Click OK after you enter the new password, or Cancel to cancel the change and retain the current password.
  4. When you click OK, another Password Input dialog box appears. Enter the new password again, to confirm that you did not make a typing error.
  5. Click OK to register the new password, or Cancel to cancel the change and retain the current password.
  6. Click Apply to register the new password.
This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.


Deleting the Password

Use the Power On Password page to delete an existing password. Deleting the password automatically disables the security feature.

To delete the existing password:
  1. Click Delete.
    This button is only available when there is a current password. After a restart, the button becomes available after you verify the existing password.
    A confirmation dialog box appears.
  2. Click Yes to delete the password, or No to cancel the deletion and retain the current password.
This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.


Specifying When the Password is Required

Use the Power On Password page to specify the point in the login process at which the computer should verifiy the password. If no password exists, the options for verifying the password are unavailable; you must add a new password first.

You can choose to require the password at two points:
When turning on the computer.
When the computer resumes operation after being in System Hibernation mode. (*)
When there is a currently registered password, you can check either or both of the options by clicking the box by the appropriate label. After a restart, the options become available after you verify the existing password.

If you select an option, a dialog appears at the appropriate time in which the user must enter the current password in order to gain access to the computer. Note that if you do not select either option, the computer does not verify the password and the security feature is effectively inactive.

Click Apply to register the new setting. This setting is dynamic; that is, there is no need to restart the computer for the setting to take effect.

Note

The options marked by (*) are not available on all models.


Setting Hardware Resources for the Printer/FDD Port

Setting Hardware Resources for the Printer Port

After you switch on Advanced mode, you can use the Printer page to specify the hardware resources of the parallel port.

If a resource conflict occurs, use the Enable Ports page to resolve it.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

Note

This option is not available on all models.


Setting the Hardware Resources for the Serial Port

You can assign hardware resources for the serial port using the Serial page. The tab for this page is only available in Advanced mode.

Select a port assignment from the drop-down list. Each port assignment uses a preset combination of I/O address and an IRQ.

If you select Other, the page displays controls for selecting the I/O address and IRQ separately. In this case, select an I/O address and an IRQ from the drop down lists.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

Note

This option is not available on all models.


Setting Hardware Resources for the Infrared Port

Use the Infrared page to set hardware resources for the infrared port. These options are only available in Advanced mode.

Select the hardware resource settings from the drop-down lists. Protocols require that you select an I/O address1, an I/O address2, an IRQ and a DMA.

In order for your changes to take effect, you must save them and restart the computer. To do this, use the command buttons at the bottom of the main window.

Note

This option is not available on all models.


Backup Memory

The configuration specified in the Sony Notebook Setup Utility is saved to backup memory (CMOS) whenever you click the OK or Apply buttons. This memory is powered by the battery when the computer is powered down, so that the settings can be preserved and applied when the computer is restarted.


Bi-Direction Mode

A printer mode. Choose this mode if you want to use the parallel port to connect a bi-directional printer.


DMA (Direct Memory Access)

A rapid link between a peripheral and the computer's main memory, which avoids accessing routines for each item of data read. A fixed number of DMA lines are available, so a DMA line is an assignable hardware resource.


ECP Mode (Extended Capability Port)

Extended specification of parallel port included in IEEE 1284. Choose this mode if you want to use the parallel port to connect parallel devices that use the ECP standard.


Infrared Port

Communication port for infrared (wireless) communication. The port can be configured to use any of several common communication protocols.


I/O Address

The memory location used by an I/O port to transfer data to and from the CPU.


IrDA 4PPM (Four Pulse Position Modulation)

An Infrared Data Association (IrDA) protocol. Maximum transfer speed is 4.0Mbps.


IrDA HDLC (High-level Data Link Control)

An Infrared Data Association (IrDA) protocol. Speed of transfer is 576Mbp or 1.152Mbps.


IrDA SIR-A

An Infrared Data Association (IrDA) protocol, also called HP mode. Maximum transfer speed is about 115Kbps and pulse range at transfer is variable.


IrDA SIR-B

An Infrared Data Association (IrDA) protocol, also called HP mode. Maximum transfer speed is about 115Kbps and pulse range at transfer is fixed.


IRQ (Interrupt Request)

A signal from a device to the CPU that indicates an event has occurred and the device requires attention. A fixed number of interrupt request lines are available, so an IRQ line is an assignable hardware resource.


Normal Mode

A standard printer mode. Choose this mode if you want to use the printer port as a general parallel port.


Resource

An assignable hardware resource is a physical connection of a particular type between a peripheral device and the CPU. If two devices are assigned the same resource, a resource conflict can occur. Resources include:
I/O Address
IRQ (Interrupt Request)
DMA (Direct Memory Access)


System Hibernation

In response to the F12 function key, the current system status is written to the internal hard disk before power off, so that the environment can be restored after the computer is reconnected to power. See the computer manual for details.


Show VAIO logo check box

Click this check box to switch the check mark on or off, enabling or disabling the VAIO logo (displayed when the system starts).


I/O Address Drop-Down List Box

Use the scroll bar to view the list of I/O addresses. Click the I/O address you want to select.


Password Verification Dialog Box

Use this dialog box to verify the password after restarting. After you verify the password, you can use the other features of the Power On Password page.

Enter the password. Note that, to protect the security of your password, the characters do not appear on the screen as you type them.

Click... To...
OK | Accept the verification and activate the Power On Password page.
Cancel | Cancel the verification. The Power On Password page remains inactive.
Help | Bring up this help screen.


Password Modification Dialog Box

Use this dialog box to enter the new password.

A password can have up to seven alphanumeric characters. It is case sensitive; upper-case and lower-case letters are considered different characters. The password cannot include special characters or spaces. Special characters that cannot be used include the following symbols:

: ! @ # $ % ^ & * ( ) _ + | { } : < > ? - = \ [ ] ; , . /

Note that, to protect the security of your password, the characters do not appear on the screen as you type them.

Click... To...
OK | Continue the password registration process.
Cancel | Cancel the password modification and retain the old password.
Help | Bring up this help screen.


Password Change Verification Dialog Box

Use this dialog box to verify the changed password. Enter the new password that you have just specified.

Note that, to protect the security of your password, the characters do not appear on the screen as you type them.

Click... To...
OK | Continue the password modification process.
Cancel | Cancel the password modification and retain the old password.
Help | Bring up this help screen.


New Password Input Dialog Box

Use this dialog box to enter the new password.

A password can have up to seven alphanumeric characters. It is case sensitive; upper-case and lower-case letters are considered different characters. The password cannot include special characters or spaces. Special characters that cannot be used include the following symbols:

: ! @ # $ % ^ & * ( ) _ + | { } : < > ? - = \ [ ] ; , . /

Note that, to protect the security of your password, the characters do not appear on the screen as you type them.

Click... To...
OK | Continue the password registration process.
Cancel | Cancel the password registration.
Help | Bring up this help screen.


New Password Verification Dialog Box

Use this dialog box to verify the new password. Enter the new password that you have just specified.

Note that, to protect the security of your password, the characters do not appear on the screen as you type them.

Click... To...
OK | Continue the password registration process.
Cancel | Cancel the password registration.
Help | Bring up this help screen.


Viewing Current Resource Assignments

You can use the View Resources page to see the hardware resource assignments. This can help you to determine the reason for a resource conflict, and determine what action to take to resolve it. You cannot change any settings from this page.

Select which type of resource you wish to view from among the following types of hardware resource:

I/O Address
Interrupt (IRQ)
Direct Memory Access (DMA)

Note

This option is not available on all models.


.topic 0x13020
Tabs :
Click the tab associated with the group of options you want to review or update.
If you want to access the advanced options, click the Basic/Advanced tab, and then click the Advanced button.

.topic 0x10001
OK Command Button :
Click the OK button to save the current settings and quit Sony Notebook Setup. You may need to restart your VAIO Notebook Computer. If so, follow the instructions in the dialog box.

.topic 0x10002
Cancel Command Button :
Click the Cancel button to quit Sony Notebook Setup without saving any of the modified settings.

.topic 0x10069
Default Command Button :
Click the Default button to reset most of the Sony Notebook Setup options to their default value -- including in the current page. A pop-up dialog box asks you to confirm this action.
Click OK to return the settings to their default value, or Cancel to keep the current settings.
<IMG SRC="../IMG/SNOTE.GIF">Note
The Power On Password settings do not reset when you click on the Default button.

.topic 0x13021
Apply Command Button :
Click the Apply button to save your changes without closing the Sony Notebook Setup window.
You may need to restart your VAIO Notebook Computer for your settings to take effect. If so, follow the instructions in the dialog box.

.topic 0x10009
Help Command Button :
Click the Help button to display the Sony Notebook Setup Help.

.topic 0x10444
I/O Address Drop-Down List Box :
Use the scroll bar to view the list of I/O addresses. Click the I/O address you want to select.

.topic 0x10446
FIR Mode Only I/O Address Drop-Down List Box :
Use the scroll bar to view the list of FIR Mode Only I/O address options. Click the option you want to select.

.topic 0x10447
Port Assignment Drop-Down List Box :
Use the scroll bar to view the list of port assignment options. Click the option you want to select. When you select a port, the corresponding I/O address and IRQ settings display. The I/O address and IRQ are preset settings. Use caution when changing this setting since these port names are different from the port names in Windows.

.topic 0x10445
IRQ Drop-Down List Box :
Use the scroll bar to view the list of your IRQ options. Click the option you want to select.

.topic 0x10448
DMA Drop-Down List Box :
Use the scroll bar to view the list of DMA channel options. Click the option you want to select.

.topic 0x1040D
Docking Station Information :
Displays information about the Docking Station.
Note
When the Docking Station is not connected, this information does not display.

.topic 0x10481
Resource Settings Area :
Choose device specific Resources Settings, such as I/O address, DMA channel, and IRQ level, in this area.

.topic 0x1047F
Conflicting Resources Area :
Displays information about devices that you may have set to use the same resources.

.topic 0x10472
IrDA FIR Option Button :
Click the IrDA FIR option button to select this Infrared communication protocol. The communication speed changes automatically, according to the target device or application.

.topic 0x10473
IrDA SIR Option Button :
Click the IrDA SIR option button to select this Infrared communication protocol. The communication speed changes automatically, according to the target device or application.

.topic 0x103FA
ASK-IR Option Button :
Click the ASK-IR option button to select this protocol for Infrared communication. This setting is available when you communicate with a target device that only supports ASK-IR.

.topic 0x10480
Protocol Area :
Choose a protocol for Infrared communication in this area.

.topic 0x10483
All Modes Area :
Choose the Infrared port I/O address and IRQ resource settings in this area. Your VAIO Notebook Computer needs these resources regardless of your protocol setting.

.topic 0x10482
FIR Mode Only :
Choose the FIR Mode I/O address and DMA resource settings in this area. Your VAIO Notebook Computer needs these resources only when you select IrDA FIR, otherwise, you do not have to use them.

.topic 0x1040B
Use as FDD Connector Option Button :
Click Use as FDD connector to use the parallel port with a floppy disk drive. You do not have to restart your VAIO Notebook Computer after doing this.

.topic 0x10403
Use as a Printer Connector Option Button :
Click Use as a printer connector to use the parallel port with a printer or other parallel device. You do not have to restart your VAIO Notebook Computer after doing this.

.topic 0x103F6
Power On Device Sequence List :
Use this list to view or change the Power On device sequence. The top icon represents the first start-up device. To change the device order, use the touchpad to select and drag the device within the list.

.topic 0x10404
Normal (Output only) Option Button :
Click Normal (Output only) to set the printer port to Normal output mode.

.topic 0x10405
Bi-directional Option Button :
Click Bi-directional to set the printer port to Bi-directional mode.

.topic 0x10406
ECP Option Button :
Click ECP to set the printer port to ECP mode.

.topic 0x10485
Printer Port Mode :
Choose a printer port mode in this area. These options are available only when you select the Use as printer connector option button.

.topic 0x10401 :
Enable Touchpad Option Button
Click the Enable Touchpad option button to use the built-in touchpad.
Note
When this option is selected, you can use both the touchpad and an external mouse.

.topic 0x10402
Disable Touchpad Option Button :
Click the Disable Touchpad option button to turn off the built-in touchpad and to use an external mouse instead.

.topic 0x1040C
Touchpad Settings Command Button :
Click the Touchpad Settings button if you want to view or adjust the advanced settings for your built-in touchpad.

.topic 0x10456
Enter Password Command Button :
Click the Enter Password button to display the Power On Password dialog box. When you enter the correct password in the dialog box, you can operate this screen.

.topic 0x103EB
Add Command Button :
Click the Add button to create a Power On Password and enable Power On Password checking. The dialog box to register a new Power On Password appears. After you register a password, you cannot restart your VAIO Notebook Computer without verifying the password.

.topic 0x103EC
Change Command Button :
Click the Change button to change the Power On Password. You must, however, enter the current password first.

.topic 0x103E9
Delete Command Button :
Click the Delete button to delete the Power On Password. You must, however, enter the current password first.

.topic 0x1047D
Check Box to Verify Password at Power On :
Select the Verify password at power on check box to require the Power On Password when you turn your VAIO Notebook Computer on. When this box is checked, you must enter the correct password to start the computer.

.topic 0x1047E
Check Box to Verify Password at Resume from System Hibernation :
Select the Verify password at resume from *system hibernation* check box to require the Power On Password when the VAIO Notebook Computer exits System Hibernation mode. When this box is checked, you must enter the correct password to continue using the computer.

.topic 0x10466
Advanced Command Button :
Click the Advanced button to display additional tabs allowing you to access the advanced Sony Notebook Setup settings.
If you quit Sony Notebook Setup with the Advanced button active, Sony Notebook Setup starts in Advanced mode the next time you use it.

.topic 0x10467
Basic Command Button :
Click the Basic button to switch from the Advanced mode to the Basic mode settings in Sony Notebook Setup.

.topic 0x10474
Check Box to Place Sony Notebook Setup Icon on the Taskbar :
Click the Place Sony Notebook Setup icon on the taskbar check box to display the Sony Notebook Setup icon in the status area of the Windows taskbar. To start Sony Notebook Setup, double-click this icon.

.topic 0x10436
I/O Address Option Button :
Click the I/O address option button to view the current I/O addresses for the devices controlled by Sony Notebook Setup.

.topic 0x10437
Interrupt Request (IRQ) Option Button :
Click the Interrupt request (IRQ) option button to view the current IRQ settings for the devices controlled by Sony Notebook Setup.

.topic 0x10438
Direct Memory Access (DMA) Option Button :
Click the Direct memory access (DMA) option button to view the current DMA settings for the devices controlled by Sony Notebook Setup.

.topic 0x10443
Column Headings Within the Resource Selector List Box :
Displays information on the devices and resource settings controlled by Sony Notebook Setup. The content of the list changes depending on the option selected under Resource selector.

.topic 0x104A3
Audio settings :
Use the drop-down list boxes in the I/O address area to change the I/O address settings for Audio devices.

.topic 0x1044A
MIDI I/O Address Drop-Down List :
Select a value in the drop-down list for the MIDI I/O address.

.topic 0x1044B
GAME I/O Address List :
Select a value in the drop-down list for the GAME I/O address.

.topic 0x1044C
AdLib I/O Address List :
Select a value in the drop-down list for the AdLib I/O address.

.topic 0x1044D
Sound Blaster I/O Address Drop-Down List :
Select a value in the drop-down list for the Sound Blaster I/O address.

.topic 0x1045D
Initial Volume Sliding Lever :
Move the slider to the desired position to set the volume for the built-in sound board. It is different from the volume setting used when starting Windows.

.topic 0x104BE
Initial Volume Sliding Lever :
Move the slider to the desired position to set the volume for the built-in sound board. It is different from the volume setting used when starting Windows.

.topic 0x104AE
BASS ON :
Click the On option button to turn on the Bass Boost feature.

.topic 0x104AF
BASS OFF :
Click the Off option button to turn off the Bass Boost feature.

.topic 0x104B7
Sample Sound :
Use the scroll bar to view a list of sample sounds. Select the sample sound by clicking it.

.topic 0x104B1
Play Sound :
Click the Play button to play the sample sound.

.topic 0x104B2
Stop Sound :
Click the Stop button to stop playing the sample sound.

.topic 0x104C4
Device Ports List :
Click the device on the list to remove the check mark and save resources by temporarily disabling this port.
Click the check box to enable the device again.

.topic 0x104BC
Show VAIO logo check box:
Click this check box to switch the check mark on or off, enabling or disabling the VAIO logob (displayed when the system starts).